Subject: bug#50043: closed (Re: bug#50043: 28.0.50; USABLE_SIGOI undef code paths do not work correctly)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 17 Nov 2021 17:46:03 +0000

Your bug report

#50043: 28.0.50; USABLE_SIGOI undef code paths do not work correctly

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50043: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50043
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50043: 28.0.50; USABLE_SIGOI undef code paths do not work correctly
From: Ken Brown <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 17 Nov 2021 12:45:24 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/17/2021 12:37 PM, Eli Zaretskii wrote:
>> Date: Wed, 17 Nov 2021 12:25:38 -0500
>> Cc: [email-masked], [email-masked]
>> From: Ken Brown <[email-masked]>
>>
>> There's still one more issue related to this bug, which I mentioned earlier: If
>> x_selection_timeout is zero, x_get_foreign_selection will call
>> wait_reading_process output with an infinite timeout rather than a zero timeout,
>> which I'm sure is not what was intended.  The attached patch fixes that.
> 
> Bu that's clearly what was intended.  The doc string of
> x-selection-timeout says:
> 
>    A value of 0 means wait as long as necessary.

Oh, I somehow missed that, sorry.  In that case I'm closing the bug.

Ken

Subject: 28.0.50; USABLE_SIGOI undef code paths do not work correctly
From: Lars Ingebrigtsen <[email-masked]>
To: [email-masked]
Date: Fri, 13 Aug 2021 13:56:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

To reproduce the problem on Debian (at least), edit src/config.h to
this:

/* Define to 1 if SIGIO is usable. */
/* #define USABLE_SIGIO 0 */

Then recompile Emacs and say

(let ((value 'SECONDARY)
      (x-selection-timeout 2000))
  ;;; from org-get-x-clipboard in lisp/org-compat.el
  (gui-get-selection value 'UTF8_STRING)
  (gui-get-selection value 'COMPOUND_TEXT)
  (gui-get-selection value 'STRING)
  (gui-get-selection value 'TEXT))

This will hang for two seconds instead of returning immediately if
USABLE_SIGIO is defined.

Now, we have SIGIO on almost all supported platforms.  The only ones
that have it disabled might be these ones:

  hpux* | nacl | solaris | unixware )
    emacs_broken_SIGIO=yes

Which is probably why this hasn't been reported more.  (See bug#29170.)

So this isn't exactly a high impact problem, but it should be fixed
anyway.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no